MsDir=\Masm32\BIN
JwDir=\Masm32\JWASM
UhDir=\Masm32\UASM
IncDir=\Masm32\INCLUDE
ML=$(MsDir)\ML
JL=$(JwDir)\Jwasm
UL=$(UhDir)\Uasm32
LN=$(MsDir)\LINK
RC=$(MsDir)\RC
H2IM=$(MsDir)\h2inc
H2IJ=$(JwDir)\h2incx
U2A=\Masm32\Tools\Uasm2asm.exe

PRJ=HelloUcW

Cmn=Settings.bat $(PROJ).mak $(PROJ).rsp

!if "$(LST)"=="Y"
ListCmd=/Fl /Sa /Sn
!else
ListCmd=
!endif

!if "$(H2I)"=="MS"
H2INC=$(H2IM)
!else
H2INC=$(H2IJ)
!endif

!if "$(ASM)"=="MASM"
AL=$(ML)
!elseif "$(ASM)"=="JASM"
AL=$(JL)
!elseif "$(ASM)"=="UASM"
AL=$(UL)
!else
!error Unknown Assembler
!endif


.asm.obj:
	$(AL) /c /coff /nologo $(ListCmd) $<

$(PROJ).exe:	$(PROJ).obj $(PRJ).res
	$(LN) @$(PROJ).rsp

$(PROJ).res:	$(PRJ).h $(PRJ).rc $(PRJ).ico
	$(RC) $(PRJ).rc

$(PRJ).inc:	$(PRJ).h
	$(H2INC) /c $(PRJ).h

$(PROJ).obj:	$(Cmn) $(PROJ).asm $(PRJ).inc

