MsDir=\Masm32\BIN
JwDir=\Masm32\JWASM
UhDir=\Masm32\UASM
IncDir=\Masm32\INCLUDE
ML=$(MsDir)\ML
JL=$(JwDir)\Jwasm
UL=$(UhDir)\Uasm32
LN=$(MsDir)\LINK
RC=$(MsDir)\RC
H2IM=$(MsDir)\h2inc
H2IJ=$(JwDir)\h2incx
U2A=\Masm32\Tools\Uasm2asm.exe

Cmn=Settings.bat $(PROJ).mak $(PROJ).rsp

!if "$(LST)"=="Y"
ListCmd=/Fl /Sa /Sn
!else
ListCmd=
!endif

!if "$(H2I)"=="MS"
H2INC=$(H2IM)
!else
H2INC=$(H2IJ)
!endif

!if "$(ASM)"=="MASM"
AL=$(ML)
!elseif "$(ASM)"=="JASM"
AL=$(JL)
!elseif "$(ASM)"=="UASM"
AL=$(UL)
!else
!error Unknown Assembler
!endif


.SUFFIXES:	._as .uas

._as.obj:
	$(AL) /c /coff /nologo $(ListCmd) $<

.uas._as:
	$(U2A) c /16 $<

$(PROJ).exe:	$(PROJ).obj $(PROJ).res
	$(LN) @$(PROJ).rsp

$(PROJ).res:	$(PROJ).h $(PROJ).rc $(PROJ).ico
	$(RC) $(PROJ).rc

$(PROJ).inc:	$(PROJ).h
	$(H2INC) /c $(PROJ).h

$(PROJ).obj:	$(Cmn) $(PROJ)._as $(PROJ).inc

